# flutter_xmpp

[XMPP](https://xmpp.org/) for realtime chat communication
this plugin just only work for android ..

## Getting Started

### Example

```
import 'package:flutter/material.dart';
import 'dart:async';
import 'package:flutter_xmpp/flutter_xmpp.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _status_login = 'Unknown';
  String _rerceive_message_from = '';
  String _rerceive_message_body = '';

  @override
  void initState() {
    super.initState();
    initXmpp();
  }

  Future<void> initXmpp() async{
    await login();
    await send_message();
    await get_message();
  }

  Future<void> login() async {
    String status_login = "Loading";
    try {
      status_login = await FlutterXmpp.login("papua-dev@0.0.0.0/Android","papua-dev","192.168.43.85",5222);
    } on Exception {
      status_login = 'Failed Login';
    }
    if (!mounted) return;

    setState(() {
      print("status login $status_login");
      _status_login = status_login;
    });
  }

  Future<void> send_message() async {
    try {
      print("send message");
      await FlutterXmpp.send_message("xbon@0.0.0.0","Test Kirim Pesan Darii Android");
    } on Exception {
      print('Failed Send Message');
    }
  }


  Future<void> get_message() async {
      print("get message");
      await FlutterXmpp.get_message(_onEvent,_onError);
  }


  void _onEvent(dynamic event) {
    print(event);
    setState(() {
      _rerceive_message_from = event['from'];
      _rerceive_message_body = event['body'];
    });
  }

  void _onError(Object error) {
    print(error);
  }


  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('FlutterXMPP'),
        ),
        body: Center(
          child: Text('Status Login: $_status_login\n$_rerceive_message_from\n$_rerceive_message_body'),
        ),
      ),
    );
  }
}
```
