import 'dart:async';

import 'package:flutter/services.dart';

class FlutterXmpp {
  static const MethodChannel _channel = MethodChannel('flutter_xmpp/method');
  static const EventChannel _eventChannel = EventChannel('flutter_xmpp/stream');

  static Future<String> login(String user_jid,String password,String host,int port) async {
    var params = {
      "user_jid": user_jid,
      "password":password,
      "host":host,
      "port":port
    };
    String status = await _channel.invokeMethod('login',params);
    return status;
  }

  static Future<String> send_message(String to_jid,String body) async {
    var params = {
      "to_jid": to_jid,
      "body":body,
    };
    String status = await _channel.invokeMethod('send_message',params);
    return status;
  }

  static Future<void> get_message(_onEvent,_onError) async {
    _eventChannel.receiveBroadcastStream().listen(_onEvent, onError: _onError);
  }








}
